This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 251725 - nVidia CK804 ethernet wakes up 100/second
nVidia CK804 ethernet wakes up 100/second
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: wakeup
  Show dependency treegraph
 
Reported: 2007-08-10 14:20 EDT by John Reiser
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-13 11:49:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2007-08-10 14:20:41 EDT
Description of problem: Once started, the nVidia CK804 ethernet driver wakes up
100 times per second, regardless of process use.  It even continues waking up
100/sec when the ethernet is idle (no packets on wire) or when the cable is
disconnected.


Version-Release number of selected component (if applicable):
kernel-2.6.23-0.74.rc2.git1.fc8

How reproducible:
always

Steps to Reproduce:
1. boot to single-user mode, run "powertop -d", note absence of ethernet wakeups.
2. "telinit 3" to multi-user mode; run "powertop -d"; ethernet is 100/sec.
3.  kill all processes that were added by going multi-user; run "powertop -d";
ethernet is still 100/sec.
  
Actual results:  ethernet wakes 100/second


Expected results: no ethernet wakeups if not being used by process and no
packets on wire (silent network, or unplugged wire.)


Additional info:
$ /sbin/lspci
00:00.0 Memory controller: nVidia Corporation CK804 Memory Controller (rev a3)
00:01.0 ISA bridge: nVidia Corporation CK804 ISA Bridge (rev a3)
00:01.1 SMBus: nVidia Corporation CK804 SMBus (rev a2)
00:02.0 USB Controller: nVidia Corporation CK804 USB Controller (rev a2)
00:02.1 USB Controller: nVidia Corporation CK804 USB Controller (rev a3)
00:04.0 Multimedia audio controller: nVidia Corporation CK804 AC'97 Audio
Controller (rev a2)
00:06.0 IDE interface: nVidia Corporation CK804 IDE (rev f2)
00:07.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev f3)
00:09.0 PCI bridge: nVidia Corporation CK804 PCI Bridge (rev a2)
00:0a.0 Bridge: nVidia Corporation CK804 Ethernet Controller (rev a3)
00:0b.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0c.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0d.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0e.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
01:0c.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Controller
(rev 80)
05:00.0 VGA compatible controller: nVidia Corporation NV44 [GeForce 6200 LE]
(rev a1)
--
Comment 1 Marcin Garski 2007-08-11 10:31:08 EDT
It's a known issue. See http://www.linuxpowertop.org/known.php#forcedeth for
more info.
Comment 2 Mark Doliner 2007-08-13 12:14:56 EDT
Here's the comment from drivers/net/forcedeth.c, for the curious:
http://lxr.linux.no/source/drivers/net/forcedeth.c#L115

Note You need to log in before you can comment on or make changes to this bug.